AstroAsk Docs
API referenceVedic astrologyV1Sade sati

POST /v1/sade-sati

Sade Sati and Ashtama Shani detection — whether Saturn's transit is active and its exact periods.

POST
/v1/sade-sati

Authorization

ApiKeyAuth
X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/sade-sati" \  -H "Content-Type: application/json" \  -d '{    "date": "1990-01-15T10:30:00",    "lat": 28.6139,    "lng": 77.209  }'
{  "success": true,  "data": {    "sadeSati": {      "isActive": false,      "periods": []    },    "ashtamaShani": {      "isActive": true,      "periods": [        {          "start": "2025-03-29T16:13:05.493Z",          "end": "2027-06-02T23:13:38.892Z",          "saturnSign": 11,          "saturnSignName": "Pisces"        },        {          "start": "2027-10-20T02:43:10.767Z",          "end": "2028-02-23T12:47:30.924Z",          "saturnSign": 11,          "saturnSignName": "Pisces"        }      ]    }  }}